package com.link.base.sms.model;

import com.link.core.basic.model.BasicModel;
import java.util.List;

public class SmsSend extends BasicModel {
   private String ext;
   private String extend;
   private String msg;
   private String sig;
   private String templateId;
   private String signatureId;
   private String sendTime;
   private String sendState;
   private Integer sendPeopleCount = 0;
   private Integer sendPeopleWin = 0;
   private Integer sendCount = 0;
   private Integer sendCountWin = 0;
   private String temparameterId;
   private String sendMode;
   private String temText;
   private String sigText;
   private Template template;
   private Signature signature;
   private Temparameter temparameter;
   private List<SendResult> sendResultList;
   private List<SmsAccntLine> smsAccntLineList;

   public String getSendMode() {
      return this.sendMode;
   }

   public void setSendMode(String sendMode) {
      this.sendMode = sendMode;
   }

   public String getExt() {
      return this.ext;
   }

   public void setExt(String ext) {
      this.ext = ext;
   }

   public String getExtend() {
      return this.extend;
   }

   public void setExtend(String extend) {
      this.extend = extend;
   }

   public String getMsg() {
      return this.msg;
   }

   public void setMsg(String msg) {
      this.msg = msg;
   }

   public String getSig() {
      return this.sig;
   }

   public void setSig(String sig) {
      this.sig = sig;
   }

   public String getTemplateId() {
      return this.templateId;
   }

   public void setTemplateId(String templateId) {
      this.templateId = templateId;
   }

   public String getSignatureId() {
      return this.signatureId;
   }

   public void setSignatureId(String signatureId) {
      this.signatureId = signatureId;
   }

   public String getSendTime() {
      return this.sendTime;
   }

   public void setSendTime(String sendTime) {
      this.sendTime = sendTime;
   }

   public String getSendState() {
      return this.sendState;
   }

   public void setSendState(String sendState) {
      this.sendState = sendState;
   }

   public Integer getSendPeopleCount() {
      return this.sendPeopleCount;
   }

   public void setSendPeopleCount(Integer sendPeopleCount) {
      this.sendPeopleCount = sendPeopleCount;
   }

   public Integer getSendPeopleWin() {
      return this.sendPeopleWin;
   }

   public void setSendPeopleWin(Integer sendPeopleWin) {
      this.sendPeopleWin = sendPeopleWin;
   }

   public Integer getSendCount() {
      return this.sendCount;
   }

   public void setSendCount(Integer sendCount) {
      this.sendCount = sendCount;
   }

   public Integer getSendCountWin() {
      return this.sendCountWin;
   }

   public void setSendCountWin(Integer sendCountWin) {
      this.sendCountWin = sendCountWin;
   }

   public String getTemparameterId() {
      return this.temparameterId;
   }

   public void setTemparameterId(String temparameterId) {
      this.temparameterId = temparameterId;
   }

   public String getTemText() {
      return this.temText;
   }

   public void setTemText(String temText) {
      this.temText = temText;
   }

   public String getSigText() {
      return this.sigText;
   }

   public void setSigText(String sigText) {
      this.sigText = sigText;
   }

   public Template getTemplate() {
      return this.template;
   }

   public void setTemplate(Template template) {
      this.template = template;
   }

   public Signature getSignature() {
      return this.signature;
   }

   public void setSignature(Signature signature) {
      this.signature = signature;
   }

   public Temparameter getTemparameter() {
      return this.temparameter;
   }

   public void setTemparameter(Temparameter temparameter) {
      this.temparameter = temparameter;
   }

   public List<SendResult> getSendResultList() {
      return this.sendResultList;
   }

   public void setSendResultList(List<SendResult> sendResultList) {
      this.sendResultList = sendResultList;
   }

   public List<SmsAccntLine> getSmsAccntLineList() {
      return this.smsAccntLineList;
   }

   public void setSmsAccntLineList(List<SmsAccntLine> smsAccntLineList) {
      this.smsAccntLineList = smsAccntLineList;
   }
}
